Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_Lex_String_Input Class Reference

`#include <PSDL_Interpreter.h>`

List of all members.

## Static Public Methods
void | reset (char *input_string)
int | copy_into (char *buf, int max_size)
## Static Private Attributes
char * | string_ = 0
char * | current_ = 0
char * | end_ = 0

## Member Function Documentation

int TAO_Lex_String_Input::copy_into | ( | char * | buf,
|  | int | max_size
| ) | `[static]`

void TAO_Lex_String_Input::reset | ( | char * | input_string | ) | `[static]`

## Member Data Documentation

char * TAO_Lex_String_Input::current_ = 0`[static, private]`

char * TAO_Lex_String_Input::end_ = 0`[static, private]`

char * TAO_Lex_String_Input::string_ = 0`[static, private]`

The documentation for this class was generated from the following files:

- PSDL_Interpreter.h
- PSDL_Interpreter.cpp